Bug 188480 - [PATCH] devel/py-dialog: staging
Summary: [PATCH] devel/py-dialog: staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 22:10 UTC by Bartek Rutkowski
Modified: 2014-04-15 02:20 UTC (History)
1 user (show)

See Also:


Attachments
py-dialog-2.7.patch (617 bytes, patch)
2014-04-11 22:10 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-11 22:10:00 UTC
- Staging
- Add LICENSE

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-dialog/2.7_4/

Port maintainer (mek@mek.uz.ua) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-11 22:10:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-11 22:10:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-04-11 22:10:07 UTC
Maintainer of devel/py-dialog,

Please note that PR ports/188480 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188480

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 dfilter service freebsd_committer 2014-04-15 02:10:12 UTC
Author: swills
Date: Tue Apr 15 01:10:09 2014
New Revision: 351297
URL: http://svnweb.freebsd.org/changeset/ports/351297
QAT: https://qat.redports.org/buildarchive/r351297/

Log:
  - Stage [1]
  - Add LICENSE [1]
  - Switch to USES
  
  PR:		ports/188480 [1]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]
  Approved by:	portmgr@ (blanket)

Modified:
  head/devel/py-dialog/Makefile

Modified: head/devel/py-dialog/Makefile
==============================================================================
--- head/devel/py-dialog/Makefile	Tue Apr 15 01:04:03 2014	(r351296)
+++ head/devel/py-dialog/Makefile	Tue Apr 15 01:10:09 2014	(r351297)
@@ -12,18 +12,19 @@ DISTNAME=	pythondialog-${PORTVERSION}
 MAINTAINER=	mek@mek.uz.ua
 COMMENT=	Python interface to dialog(3)
 
+LICENSE=	LGPL20
+
 RUN_DEPENDS=	cdialog:${PORTSDIR}/devel/cdialog
 
-USE_BZIP2=	yes
+USES=		tar:bzip2
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	pythondialog
 
 EXAMPLESDIR=	${PREFIX}/share/examples/py-dialog
 
-NO_STAGE=	yes
 post-install:
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/demo.py ${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/demo.py ${STAGEDIR}${EXAMPLESDIR}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-04-15 02:10:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!